JTAG Eclipse issues. Cmd prompt maybe?

rfleming
Posts: 7
Joined: Tue Oct 09, 2018 12:30 am

JTAG Eclipse issues. Cmd prompt maybe?

Postby rfleming » Mon Jul 08, 2019 2:43 am

I am having an issue with eclipse when trying to debug. it keep showing the error "Could not determine GDB version using command: xtensa-esp32-elf-gdb --version". I immediately thought this was a pathing issue.

I tested everything with in CLI with mingw32.exe and it all works fine. Knowing that I had this issue, I tried several things, adding xtensa itself to windows environmental variables PATH, adding the IDF_PATH there too. None of these seemed to fix the issue. Eventually I opened up Windows Cmd Prompt, navigating into the folder directly and running the command I get no output. If I check the error code I got "-1073741819" (or 0xC000 0005).

However, the app appears to work fine in mingw32.exe and in "bash (MINGW64 - installed with git)" to give:

Code: Select all

Ryan@DESKTOP-BEAST MINGW64 /c/msys32/opt/xtensa-esp32-elf/bin
$ xtensa-esp32-elf-gdb.exe --version
GNU gdb (crosstool-NG esp32-2019r1) 8.1.0.20180627-git
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "--host=i686-host_w64-mingw32 --target=xtensa-esp32-elf".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
I am thinking that its because of the apps issue with cmd that my eclipse is not working, but I am up for ideas.

I downloaded the lastest minw32 installation as suggested by the wiki from their link supplied.

Windows Version:
Microsoft Windows (Pro) [Version 10.0.17763.557]
Eclipse:
Version: Photon Release (4.8.0)
Build id: 20180619-1200
MinW32 Version:
gcc (GCC) 7.4.0 (if this is how I get the version...stackoverflow seems to think so)

snikul
Posts: 4
Joined: Mon Oct 08, 2018 5:57 pm

Re: JTAG Eclipse issues. Cmd prompt maybe?

Postby snikul » Fri Jul 12, 2019 10:34 am

Hi,
I have the same problem. "Could not determine GDB version using command: xtensa-esp32-elf-gdb --version"
I have just installed
Eclipse IDE for C/C++ Developers
Version: 2019-06 (4.12.0)
Build id: 20190614-1200
Updated it. Set up according the Expresiff manual.
I have also found the discussed earlier bug ;; in the PATH. Changed ;; with ;

Still I have "Could not determine GDB version using command: xtensa-esp32-elf-gdb --version".

Looks like this known issue was not fixced in Eclipse.
Any ideas how to start Debug seccion in Eclipse.
Best Regards
Sergei Nikulin

hwalman
Posts: 1
Joined: Tue Oct 08, 2019 8:17 pm

Re: JTAG Eclipse issues. Cmd prompt maybe?

Postby hwalman » Tue Oct 08, 2019 8:28 pm

I faced the same problem.

When I installed the ESP tools plugin, the following path was added to the Window->Preferences->C/C++/Build/Environment PATH variable.

\.espressif\tools\xtensa-esp32-elf\esp32-2019r1-8.2.0\xtensa-esp32-elf\bin

So I assume this is where the GDB launcher will locate the xtensa-esp32-elf-gdb.exe executable. So I tried to open a Windows CMD command window in the same location and execute "xtensa-esp32-elf-gdb.exe --version". Here there is no output on the terminal!!

I noticed that I also have a different tools location for the xtensa-esp32-elf-gdb.exe file:
C:\Users\hans_\.espressif\tools\xtensa-esp32-elf\1.22.0-80-g6c4433a5-5.2.0\xtensa-esp32-elf\bin

If I try the same experiment from this location I do get a valid version output string on the terminal. So in the debug configuration under the debugger tab, for the GDB Command I selected Browse and selected the xtensa-esp32-elf-gdb.exe from the 2nd location above that seemed to work with the --version option.

Now it works!!
Hans

Who is online

Users browsing this forum: Baidu [Spider] and 23 guests